sugar-browse-activity (200+20161203-1) unstable; urgency=medium

  [ upstream ]
  * Git snapshot.
    Highlights:
    + Fix typo that broke network error displays.
    + Port to CollabWrapper based collaboration.

  [ Jonas Smedegaard ]
  * Use get-orig-source for git snapshots. Document in README.source.
  * Have git-buildpackage filter any .git* file.
  * Git-ignore quilt .pc dir.
  * Add patch 2001 to include collabwrapper.
  * Update copyright info: Cover patch 2001.
  * Fix broken path in desktop file.
  * Stop rename no longer included aym locale.
  * Update package relations: Provide virtual package www-browser.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 04:52:35 +0100

sugar-browse-activity (200-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Highlights:
    + Use WebKit2.

  [ Jonas Smedegaard ]
  * Modernize CDBS use:
    + Extract (not avoid) png files for copyright checking.
    + Avoid copyright-check upstream certificate database.
    + Tighten build-dependency on cdbs.
    + Build-depend on licensecheck (not devscripts).
    + Build-depend on libregexp-assemble-perl libimage-exiftool-perl
      libfont-ttf-perl.
  * Update copyright info:
    + Update names and coverage of main authors.
    + Extend coverage for Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Depend on GIR binding webkit2-4.0 (not webkit-3.0).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2016 14:51:47 +0100

sugar-browse-activity (157.2-2) unstable; urgency=medium

  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Jul 2015 17:24:26 -0500

sugar-browse-activity (157.2-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Relax watch file to cover any compression suffix.
  * Stop explicitly declare compression in git-buildpackage config.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Jul 2015 16:14:47 -0500

sugar-browse-activity (157.1-2) unstable; urgency=medium

  * Update package relations:
    + Suppress build-dependency on python-dev future-compatibly with
      cdbs 0.5.
    + Drop hints for pre-Squeeze transition from sugar-web-activity.
    + Drop bogus conflicts/replaces against itself.
    + Stop bogusly recommend sugar-themes.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jun 2015 19:39:58 -0500

sugar-browse-activity (157.1-1) unstable; urgency=medium

   [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Modernize short and long description.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Add comments on LGPL Lesser versus Library assumption.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2015 19:49:59 -0500

sugar-browse-activity (157-3) unstable; urgency=medium

  * Update package relations: Fix stop recommend sugar-session-*.
  * Really move packaging to Debian Sugar Team.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 16:31:56 +0200

sugar-browse-activity (157-2) unstable; urgency=medium

  * Move packaging to Debian Sugar Team.
  * Update package relations: Recommend sugar-*-themes favored over
    virtual sugar-themes or sugar-artwork.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 11:32:17 +0200

sugar-browse-activity (157-1) experimental; urgency=low

  * Update package relations:
    + Fix depend explicitly on python.
    + Fix depend on python-telepathy.
    + Stop depend on GIR binding sugarext: Not used directly.
    + Depend on GIR binding sugarext-1.0.
    + Recommend ca-certificates.
    + Bump primary branch to 0.104.
  * Stop track checksum of upstream tarball.
  * Bump debhelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Update copyright info:
    + Update alternate git source URL.
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Tell git-buildpackage to suppress upstream .gitignore.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 02:34:46 +0200

sugar-browse-activity (137-1) unstable; urgency=low

  * New upstream release.
    + Uses sugar-toolkit-gtk3 and WebKit (not Hulahop or Xulrunner).

  * Suppress unneeded auto-resolved build-dependency on python-dev.
    Thanks to lintian.
  * Bump debhelper compatibility level to 7.
  * Bump standards-version to 3.9.3.
  * Use Python helper python2 (not python-support).
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Rewrite using format 1.0.
    + Extend copyright coverage of some files to include recent years.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Update package relations:
    + Depend on python-sugar3, python-gir and some GIR bindings, instead
      of some Python libraries: Needed for sugar-toolkit-gtk3 rewrite.
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Recommend sugar-session (not bogus sugar).
    + Set 0.88 as primary branch, i.e. add append versioned dependencies
      for unversioned virtual Sugar dependencies.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Stop build-depending on python-central: No longer used.
  * Switch packaging to unversioned package naming.
  * Drop patch 1002: Obsolete.
  * Modernize long description, based on upstream wiki phrases.
  * Refer to FSF website (not postal address) in licensing header of
    rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 23:14:45 +0200

sugar-browse-activity-0.86 (120-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Oct 2010 09:38:22 +0200

sugar-browse-activity-0.86 (119-1) unstable; urgency=low

  * New upstream release.
    Thanks to Ishan Bansal for encouraging this!
  * Refresh patch.
  * Bump Policy compliance to standards-version 3.9.1.
  * Suppress unneeded auto-resolved build-dependency on python-dev.
    Thanks to lintian.
  * Shorten Vcs-* stanzas.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Build-depend on python-cairo. Needed since v116.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Oct 2010 22:21:25 +0200

sugar-browse-activity-0.86 (115-2) unstable; urgency=low

  * Include Sugar 0.90 as supported branch.
  * Bump Policy compliance to standards-version 3.9.1.
  * Suppress unneeded auto-resolved build-dependency on python-dev.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 12:25:53 -0400

sugar-browse-activity-0.86 (115-1) unstable; urgency=low

  * New upstream release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh and unfuzz patch.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Bump standards-version to 3.8.4.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 23:05:22 +0200

sugar-browse-activity-0.86 (114-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2009 11:14:06 +0200

sugar-browse-activity-0.86 (113-2) unstable; urgency=low

  * Update python-sugar.mk to replace superfluous COPYING files with
    symlinks.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 13:10:38 +0200

sugar-browse-activity-0.86 (113-1) unstable; urgency=low

  * New upstream development release.
  * Replace patch 1002 with improved workaround from upstream jhconvert
    tool.
  * Provide, conflict with and replace sugar-web-activity.
  * Update CDBS snippets:
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix build-depend on branched python-sugar-toolkit.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 20:38:10 +0200

sugar-browse-activity-0.86 (112-1) unstable; urgency=low

  * New upstream development release.
  * Drop patch 1001: upstream includes a (different) danish locale now.
  * Rename package to match upstream rename and make room for multiple
    branches:
    + Rename basename sugar-web-activity → sugar-browse-activity.
    + Append major version (0.86) to binary and source package.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Fix double build-dependency on cdbs.
  * Update debian/control format to DEP5 rev54.
  * Update debian/copyright (new owners and years, same licenses).
  * Update Homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Sep 2009 15:09:51 +0200

sugar-web-activity (108-3) unstable; urgency=low

  * Depend on python-rsvg (only fallback on older but not too old
    python-gnome2-desktop and librsvg2-common).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2009 15:59:40 +0200

sugar-web-activity (108-2) unstable; urgency=low

  * Fix depend on python-carquinyol (not python-olpc-datastore.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2009 17:12:26 +0200

sugar-web-activity (108-1) unstable; urgency=low

  * New upstream release.
  * Update upstream source URL (moved to subdir fructose).
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to copyright-check.mk and upstream-tarball.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Update copyright info:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add author (no new licenses)
    + Add verbatim license texts
    + Bump licensing years of both upstream source and debian packaging
    + Merge entries with same authors and copyrights
    + Add proper licensing header to debian/rules
  * Handle binary (not only source) dependencies in rules file.
  * Limit Sugar-related dependencies to current branch (0.84).
  * Limit Python support til 2.5 and newer (sqlite3 problem on 2.4).
  * Add patch 1002 reverting upstream xulrunner workaround expected to
    not apply here.
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2009 17:03:37 +0200

sugar-web-activity (103~git20090120-1) unstable; urgency=low

  * New upstream (Git-based pre-)release.
  * Build-depend on python-cjson (and not python-simplejson).
  * Update copyright hints (no new licenses or authors.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Feb 2009 18:56:59 +0100

sugar-web-activity (102-1) unstable; urgency=low

  * New upstream release.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)
    + Add Simon Schampijer as upstream maintainer.
    + Refer to LGPL as "GNU Library..." (not Lesser).
    + Refer to "Debian GNU systems" (not only GNU/Linux).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Dec 2008 13:26:03 +0100

sugar-web-activity (101-1) unstable; urgency=low

  [ Luke Faraone ]
  * Fix activity install path.

  [ Jonas Smedegaard ]
  * New upstream release.
  * Update local CDBS snippets:
    + python-sugar.mk: Install into right path. Closes: bug#507330.
    + python-sugar.mk: Install as non-localized activity name.
    + python-sugar.mk: Dynamically update locale entries in MANIFEST.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 04:40:32 +0100

sugar-web-activity (100-1) unstable; urgency=low

  * New upstream release.
  * Depend on ${misc:Depends}.
  * Update copyright hints (no new owners or licenses).
  * Update danish (da) locale.
  * Fix cdbs snippet python-sugar.mk to install activities below
    /usr/share/sugar (not /usr/share).
  * Several minor improvements to local cdbs snippet upstream-
    tarball.mk.
  * Update CDBS snippet copyright-check.mk: Compact simple licenses
    (those without ' or later').
  * Update upstream source URL in debian/copyright and watch file.
  * Fix Homepage in long description.
  * Fix cdbs snippet python-sugar.mk to use --prefix option. Tighten
    build-dependency to python-sugar-toolkit since that change.
  * Semi-auto-update debian/control to tighten build-dependencies.
  * Clean auto-generated MANifEST file.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Nov 2008 16:41:21 +0100

sugar-web-activity (95-1) unstable; urgency=low

  * New upstream release.
  * Upstream package changed name to Browse (from Web).  Update watch
    file and cdbs hint for get-orig-source target.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 16:36:09 +0200

sugar-web-activity (91-1) unstable; urgency=low

  * New upstream release.
  * Update local cdbs snippets:
    + Relax copyright-check to only warn about its discoveries.  Closes:
      bug#486975.
  * Update debian/copyright (new files, same owners and licenses).
    Update debian/copyright-hints.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jun 2008 02:02:48 +0200

sugar-web-activity (89-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.
  * Update debian/copyright:
    + Add URL to upstream tarball source.
    + Add a few new files (same owner and license).
  * Update local cdbs snippets:
    + Use upstream-tarball.mk to track upstream source releases.
    + Adjust dependency cleanup (upstream-tarball.mk needs newer cdbs).
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Jun 2008 12:39:54 +0200

sugar-web-activity (78~git.20080311-1) UNRELEASED; urgency=low

  * Initial release. Closes: bug#444021.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Apr 2008 12:22:57 +0200
